Subject: Re: linux-next: Tree for January 7 (pcmcia)

From: Dominik Brodowski <[email-masked]>
Date: Thu, 7 Jan 2010 21:57:28 +0100

Hey,

On Thu, Jan 07, 2010 at 10:10:06AM -0800, Randy Dunlap wrote:
> > Hi all,
> > 
> > Changes since 20100106:
> 
> 
> drivers/built-in.o: In function `yenta_probe':
> yenta_socket.c:(.devinit.text+0x1e582): undefined reference to `pccard_nonstatic_ops'
> 
> CONFIG_PCCARD=y
> CONFIG_PCMCIA=m
> CONFIG_PCCARD_NONSTATIC=m
> CONFIG_YENTA=y
> 
> so yenta code (built-in) tries to reference data that lives in a
> loadable module.

Uh, that was I. If kconfig can't be fixed easily, I'll revert the change

>  But I would expect this Kconfig:
> 
> config YENTA
> 	tristate "CardBus yenta-compatible bridge support"
> 	depends on PCI
> 	select CARDBUS if !EMBEDDED
> 	select PCCARD_NONSTATIC if PCMCIA
> 
> to make PCCARD_NONSTATIC=y instead of =m.  Has something changed in
> kconfig recently that would make that different?

Best,
	Dominik